/* NOTE: contaner with main image and selector's container */
div.MagicToolboxContainer {
    text-align: center;
}

/*
div.MagicToolboxContainer.minWidth {
    min-width: 250px;
}
*/



/* NOTE: main image styles */
div.MagicToolboxContainer > a {
    margin: 0 auto;
}

/* NOTE: container with selectors */
div.MagicToolboxSelectorsContainer {
    clear: both;
}

/* NOTE: selectors styles */
div.MagicToolboxSelectorsContainer a {
    display: inline-block;
    margin: 4px;
}

/* NOTE: contaner with message under Magic Thumb */
div.MagicToolboxMessage {
    text-align: center;
}

/* NOTE: styles for templates */
div.MagicToolboxMainContainer {
    max-width: 100%;
}
div.MagicToolboxSelectorsContainer img {
    max-width: 100%;
}

/* NOTE: selectors on the bottom */
div.MagicToolboxContainer.selectorsBottom .MagicToolboxSelectorsContainer {
    padding-top: 5px;
}

/* NOTE: selectors on the top */
div.MagicToolboxContainer.selectorsTop .MagicToolboxSelectorsContainer {
    padding-bottom: 5px;
}




/* NOTE: magicscroll makes the image smaller if there is a margin */
/*
.MagicScrollItem a {
    margin: 0 !important;
}
*/


div.MagicToolboxContainer.selectorsLeft,
div.MagicToolboxContainer.selectorsRight {
    display: -ms-flex;
    display: -webkit-flex;
    display: flex;
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer,
div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer {
    min-height: 300px;
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxMainContainer,
div.MagicToolboxContainer.selectorsRight .MagicToolboxMainContainer {
    flex-grow: 1;
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxMainContainer,
div.MagicToolboxContainer.selectorsRight .MagicToolboxMainContainer {
    /*font-size:0px;*/
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer a,
div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer a {
    margin:0 0 10px 0;
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer {

}
div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer {
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxMainContainer {
    width: auto;
    padding-left: 10px;
}
div.MagicToolboxContainer.selectorsRight .MagicToolboxMainContainer {
    width: auto;
    padding-right: 10px;
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer,
div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer {
    position: relative;
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
}

@media only screen and (min-width: 768px) {
    div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer .MagicScroll,
    div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer .MagicScroll {
        height: 100%;
        flex:1;
    }
}

div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer .MagicScroll a,
div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer .MagicScroll a {
    margin: 0;
}

@media only screen and (max-width: 767px) {


    div.MagicToolboxContainer.selectorsLeft,
    div.MagicToolboxContainer.selectorsRight {
        flex-direction: column;
    }
    div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer,
    div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer {
        order:2;
        width: 100% !important;
        margin-bottom:10px;
        min-height: 0px;
        flex:auto;
        flex-basis: auto !important;
        display: block !important;
    }
    
    div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer a,
    div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer a {
        margin:10px 5px;
    }

    div.MagicToolboxContainer.selectorsLeft .MagicToolboxMainContainer,
    div.MagicToolboxContainer.selectorsRight .MagicToolboxMainContainer {
        order:1;
        padding:0px;
    }
    div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer:after,
    div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer:after {
        content: none;
    }
    div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer .MagicScroll,
    div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer .MagicScroll {
        height: auto;
    }
    div.MagicToolboxContainer.selectorsLeft .MagicToolboxSelectorsContainer .MagicScroll,
    div.MagicToolboxContainer.selectorsRight .MagicToolboxSelectorsContainer .MagicScroll {
        margin: 10px 0 0 0;
    }
}
/*
.MagicToolboxContainer {
    margin: 0 auto !important;
    text-align: center !important;
}
*/
/*
.MagicToolboxMessage {
    text-align: center !important;
}
*/
a.MagicThumb .mgt-hint .mgt-hint-message {
    color: white !important;
}

.mcs-item:after, .mcs-item > a:after { content: none; }

@media only screen and (min-width: 768px) {
  a.video-thumbnail {
      /*position: relative;*/
  }
  a.video-thumbnail:before {
      content: '' !important;
      position: absolute !important;
      color: #fff !important;
      text-shadow: 0px 1px 10px #000 !important;
      top: 50% !important;
      left: 50% !important;
      display: inline-block;
      transform: translateY(-50%) translateX(-50%) !important;
      -webkit-transform: translateY(-50%) translateX(-50%) !important;
      z-index: 100;
      width: 36px !important;
      height: 36px !important;
      border-radius: 50%;
      background-repeat: no-repeat;
      background-color: rgba(0,0,0,0.6) !important;
      background-size: 50%;
      background-position: center center;
      border: 2px solid rgba(255,255,255,0.8);
      z-index:1;
  }
  a.video-thumbnail:after {
      position: absolute !important;
      content: '' !important;
      width: 12px !important;
      height: 16px !important;
      border-top: 8px solid transparent !important;
      border-left: 12px solid rgba(255,255,255,0.8) !important;
      border-bottom: 8px solid transparent !important;
      position: absolute !important;
      top: 50% !important;
      left: 50% !important;
      transform: translateY(-50%) translateX(-50%) !important;
      -webkit-transform: translateY(-50%) translateX(-50%) !important;
      margin-left: 1px !important;
      box-sizing: border-box !important;
      z-index:2;
  }
  a.video-thumbnail:hover:before {
      background-color: rgba(0,0,0,0.7) !important;
      border-color:rgba(255,255,255,1);
  }
  a.video-thumbnail:hover:after {
      border-left-color: rgba(255,255,255,1);
  }
}

.mcs-item a {
    height: 100%;
    display: flex !important;
    align-items: center;
}

div:not(.MagicScroll) >  a.video-thumbnail {
      position: relative;
  }